Package org.gradle.language.cpp

# Interface CppExecutable

All Superinterfaces:
  `CppBinary`, `Named`, `SoftwareComponent`

@Incubating public interface CppExecutable extends CppBinary
An executable built from C++ source.

Since:
  4.2

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.gradle.api.Named

`Named.Namer`

## Field Summary

### Fields inherited from interface org.gradle.language.cpp.CppBinary

`DEBUGGABLE_ATTRIBUTE`

## Method Summary

Modifier and Type
Method
Description
`Provider<RegularFile>`
`getExecutableFile()`
Returns the executable file for this binary.
`Provider<Directory>`
`getInstallDirectory()`
Returns the installation directory for this binary.

### Methods inherited from interface org.gradle.language.cpp.CppBinary

`getBaseName, getCompileIncludePath, getCppSource, getLinkLibraries, getObjects, getRuntimeLibraries, isDebuggable`

### Methods inherited from interface org.gradle.api.Named

`getName`

## Method Details

### getExecutableFile

Provider<RegularFile> getExecutableFile()
Returns the executable file for this binary.

Since:
  4.4

### getInstallDirectory

Provider<Directory> getInstallDirectory()
Returns the installation directory for this binary.

Since:
  4.4